## javanet.staxutils
Class OutputFactory

    java.lang.Object
      javax.xml.stream.XMLOutputFactory
          javanet.staxutils.BaseXMLOutputFactory
              javanet.staxutils.OutputFactory

    public class OutputFactory

extends BaseXMLOutputFactory

`XMLOutputFactory` implementation based on stax-utils code base.

Version:
  $Revision: 1.2 $
Author:
  Christian Niles

Field Summary

Fields inherited from class javax.xml.stream.XMLOutputFactory
`IS_REPAIRING_NAMESPACES`

Constructor Summary
`OutputFactory()`

Method Summary
`XMLStreamWriter` `createXMLStreamWriter(Writer stream)`

Methods inherited from class javanet.staxutils.BaseXMLOutputFactory
`createXMLEventWriter, createXMLEventWriter, createXMLEventWriter, createXMLEventWriter, createXMLEventWriter, createXMLStreamWriter, createXMLStreamWriter, createXMLStreamWriter, getProperty, isPropertySupported, setProperty`

Methods inherited from class javax.xml.stream.XMLOutputFactory
`newFactory, newFactory, newInstance, newInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutputFactory

    public OutputFactory()

Method Detail

### createXMLStreamWriter

    public XMLStreamWriter createXMLStreamWriter(Writer stream)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`